Open CASCADE Technology: GeomFill_AppSweep Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomFill_AppSweep Class Reference

`#include <GeomFill_AppSweep.hxx>`

Inheritance diagram for GeomFill_AppSweep:
[legend]

## Public Member Functions
| GeomFill_AppSweep ()
| GeomFill_AppSweep (const Standard_Integer Degmin, const Standard_Integer Degmax, const Standard_Real Tol3d, const Standard_Real Tol2d, const Standard_Integer NbIt, const Standard_Boolean KnownParameters=Standard_False)
void | Init (const Standard_Integer Degmin, const Standard_Integer Degmax, const Standard_Real Tol3d, const Standard_Real Tol2d, const Standard_Integer NbIt, const Standard_Boolean KnownParameters=Standard_False)
void | SetParType (const Approx_ParametrizationType ParType)
void | SetContinuity (const GeomAbs_Shape C)
void | SetCriteriumWeight (const Standard_Real W1, const Standard_Real W2, const Standard_Real W3)
Approx_ParametrizationType | ParType () const
GeomAbs_Shape | Continuity () const
void | CriteriumWeight (Standard_Real &W1, Standard_Real &W2, Standard_Real &W3) const
void | Perform (const Handle< GeomFill_Line > &Lin, GeomFill_SweepSectionGenerator &SecGen, const Standard_Boolean SpApprox=Standard_False)
void | PerformSmoothing (const Handle< GeomFill_Line > &Lin, GeomFill_SweepSectionGenerator &SecGen)
void | Perform (const Handle< GeomFill_Line > &Lin, GeomFill_SweepSectionGenerator &SecGen, const Standard_Integer NbMaxP)
Standard_Boolean | IsDone () const
void | SurfShape (Standard_Integer &UDegree, Standard_Integer &VDegree, Standard_Integer &NbUPoles, Standard_Integer &NbVPoles, Standard_Integer &NbUKnots, Standard_Integer &NbVKnots) const
void | Surface (TColgp_Array2OfPnt &TPoles, TColStd_Array2OfReal &TWeights, TColStd_Array1OfReal &TUKnots, TColStd_Array1OfReal &TVKnots, TColStd_Array1OfInteger &TUMults, TColStd_Array1OfInteger &TVMults) const
Standard_Integer | UDegree () const
Standard_Integer | VDegree () const
const TColgp_Array2OfPnt & | SurfPoles () const
const TColStd_Array2OfReal & | SurfWeights () const
const TColStd_Array1OfReal & | SurfUKnots () const
const TColStd_Array1OfReal & | SurfVKnots () const
const TColStd_Array1OfInteger & | SurfUMults () const
const TColStd_Array1OfInteger & | SurfVMults () const
Standard_Integer | NbCurves2d () const
void | Curves2dShape (Standard_Integer &Degree, Standard_Integer &NbPoles, Standard_Integer &NbKnots) const
void | Curve2d (const Standard_Integer Index, TColgp_Array1OfPnt2d &TPoles, TColStd_Array1OfReal &TKnots, TColStd_Array1OfInteger &TMults) const
Standard_Integer | Curves2dDegree () const
const TColgp_Array1OfPnt2d & | Curve2dPoles (const Standard_Integer Index) const
const TColStd_Array1OfReal & | Curves2dKnots () const
const TColStd_Array1OfInteger & | Curves2dMults () const
void | TolReached (Standard_Real &Tol3d, Standard_Real &Tol2d) const
Standard_Real | TolCurveOnSurf (const Standard_Integer Index) const
Public Member Functions inherited from AppBlend_Approx
virtual void | Delete ()
virtual | ~AppBlend_Approx ()

## Constructor & Destructor Documentation

GeomFill_AppSweep::GeomFill_AppSweep | ( |  | ) |

GeomFill_AppSweep::GeomFill_AppSweep | ( | const Standard_Integer | Degmin,
|  | const Standard_Integer | Degmax,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tol2d,
|  | const Standard_Integer | NbIt,
|  | const Standard_Boolean | KnownParameters = `Standard_False`
| ) |  |

## Member Function Documentation

GeomAbs_Shape GeomFill_AppSweep::Continuity | ( |  | ) | const

void GeomFill_AppSweep::CriteriumWeight | ( | Standard_Real & | W1,
|  | Standard_Real & | W2,
|  | Standard_Real & | W3
| ) |  | const

void GeomFill_AppSweep::Curve2d | ( | const Standard_Integer | Index,
|  | TColgp_Array1OfPnt2d & | TPoles,
|  | TColStd_Array1OfReal & | TKnots,
|  | TColStd_Array1OfInteger & | TMults
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColgp_Array1OfPnt2d& GeomFill_AppSweep::Curve2dPoles | ( | const Standard_Integer | Index | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Integer GeomFill_AppSweep::Curves2dDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& GeomFill_AppSweep::Curves2dKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& GeomFill_AppSweep::Curves2dMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

void GeomFill_AppSweep::Curves2dShape | ( | Standard_Integer & | Degree,
|  | Standard_Integer & | NbPoles,
|  | Standard_Integer & | NbKnots
| ) |  | const
| virtual

Implements AppBlend_Approx.

void GeomFill_AppSweep::Init | ( | const Standard_Integer | Degmin,
|  | const Standard_Integer | Degmax,
|  | const Standard_Real | Tol3d,
|  | const Standard_Real | Tol2d,
|  | const Standard_Integer | NbIt,
|  | const Standard_Boolean | KnownParameters = `Standard_False`
| ) |  |

Standard_Boolean GeomFill_AppSweep::IsDone | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Integer GeomFill_AppSweep::NbCurves2d | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Approx_ParametrizationType GeomFill_AppSweep::ParType | ( |  | ) | const

void GeomFill_AppSweep::Perform | ( | const Handle< GeomFill_Line > & | Lin,
|  | GeomFill_SweepSectionGenerator & | SecGen,
|  | const Standard_Boolean | SpApprox = `Standard_False`
| ) |  |

void GeomFill_AppSweep::Perform | ( | const Handle< GeomFill_Line > & | Lin,
|  | GeomFill_SweepSectionGenerator & | SecGen,
|  | const Standard_Integer | NbMaxP
| ) |  |

void GeomFill_AppSweep::PerformSmoothing | ( | const Handle< GeomFill_Line > & | Lin,
|  | GeomFill_SweepSectionGenerator & | SecGen
| ) |  |

void GeomFill_AppSweep::SetContinuity | ( | const GeomAbs_Shape | C | ) |

void GeomFill_AppSweep::SetCriteriumWeight | ( | const Standard_Real | W1,
|  | const Standard_Real | W2,
|  | const Standard_Real | W3
| ) |  |

void GeomFill_AppSweep::SetParType | ( | const Approx_ParametrizationType | ParType | ) |

void GeomFill_AppSweep::Surface | ( | TColgp_Array2OfPnt & | TPoles,
|  | TColStd_Array2OfReal & | TWeights,
|  | TColStd_Array1OfReal & | TUKnots,
|  | TColStd_Array1OfReal & | TVKnots,
|  | TColStd_Array1OfInteger & | TUMults,
|  | TColStd_Array1OfInteger & | TVMults
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColgp_Array2OfPnt& GeomFill_AppSweep::SurfPoles | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

void GeomFill_AppSweep::SurfShape | ( | Standard_Integer & | UDegree,
|  | Standard_Integer & | VDegree,
|  | Standard_Integer & | NbUPoles,
|  | Standard_Integer & | NbVPoles,
|  | Standard_Integer & | NbUKnots,
|  | Standard_Integer & | NbVKnots
| ) |  | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& GeomFill_AppSweep::SurfUKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& GeomFill_AppSweep::SurfUMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfReal& GeomFill_AppSweep::SurfVKnots | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array1OfInteger& GeomFill_AppSweep::SurfVMults | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

const TColStd_Array2OfReal& GeomFill_AppSweep::SurfWeights | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Real GeomFill_AppSweep::TolCurveOnSurf | ( | const Standard_Integer | Index | ) | const
| virtual

Implements AppBlend_Approx.

void GeomFill_AppSweep::TolReached | ( | Standard_Real & | Tol3d,
|  | Standard_Real & | Tol2d
| ) |  | const
| virtual

Implements AppBlend_Approx.

Standard_Integer GeomFill_AppSweep::UDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

Standard_Integer GeomFill_AppSweep::VDegree | ( |  | ) | const
| virtual

Implements AppBlend_Approx.

The documentation for this class was generated from the following file:

- GeomFill_AppSweep.hxx